> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bootstrap Status



## OpenAPI

````yaml get /v1/agents/{assistant_id}/insights/bootstrap
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/agents/{assistant_id}/insights/bootstrap:
    get:
      tags:
        - V1 - Insights
      summary: Bootstrap Status
      operationId: bootstrap_status
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Assistant Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BootstrapStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    BootstrapStatus:
      properties:
        ready:
          type: boolean
          title: Ready
        conversation_count:
          type: integer
          title: Conversation Count
        min_conversations:
          type: integer
          title: Min Conversations
          default: 50
        days_collecting:
          type: integer
          title: Days Collecting
          default: 0
        min_days:
          type: integer
          title: Min Days
          default: 7
        bootstrapped:
          type: boolean
          title: Bootstrapped
          default: false
      type: object
      required:
        - ready
        - conversation_count
      title: BootstrapStatus
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````